org.osgi.dto

## Class DTO

- java.lang.Object
- - org.osgi.dto.DTO

Direct Known Subclasses:
  BundleDTO, BundleStartLevelDTO, BundleWiringDTO, CapabilityDTO, CapabilityRefDTO, FrameworkDTO, FrameworkStartLevelDTO, FrameworkWiringDTO, RequirementDTO, RequirementRefDTO, ResourceDTO, ServiceReferenceDTO, WireDTO, WiringDTO

    public abstract class DTO
    extends Object

Super type for Data Transfer Objects.

A Data Transfer Object (DTO) is easily serializable having only public fields of primitive types and their wrapper classes, String, enums, Version, and DTOs. List, Set, Map, and array aggregates may also be used. The aggregates must only hold objects of the listed types or aggregates. The types for Map keys are limited to primitive wrapper classes, String, enums, and Version.

The object graph from a Data Transfer Object must be a tree to simplify serialization and deserialization.

Author:
  $Id: ffcb6416b152127a4c3fdca52426cacbe2f13a58 $

### Constructor Summary

Constructors
Constructor and Description
`DTO()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Return a string representation of this DTO suitable for use when debugging.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DTO

    public DTO()

### Method Detail

#### toString

    public String toString()

Return a string representation of this DTO suitable for use when debugging.

The format of the string representation is not specified and subject to change.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this DTO suitable for use when debugging.